import { Entity } from "../../../../DatabaseServices/Entity/Entity";
import { ModuleAxis } from "./ModuleBaseParams";
export default class ModifyModelStore {
    isCollapseOpened: boolean;
    isProportionalZoom: boolean;
    module_Length: number;
    module_Width: number;
    module_Height: number;
    offGround: number;
    rotateX: number;
    rotateY: number;
    rotateZ: number;
    positionX: number;
    positionY: number;
    positionZ: number;
    name: string;
    sliderMax: number;
    _EntityIds: number[];
    private constructor();
    UpdateUIData(): void;
    UpdateModulePosition: (ent: Entity, position: number, axis: ModuleAxis) => Promise<void>;
    UpdatePosition: (ents: Entity[], move: number, axis: ModuleAxis) => Promise<void>;
    UpdateModuleRotate: (ent: Entity, x: number, y: number, z: number) => void;
    private __Box;
    private InitBox;
    UpdateScaleModule: (length: number, width: number, height: number) => Promise<void>;
    ChangeRotate: (e: number, ModifyModelStore: ModifyModelStore, axis: ModuleAxis) => Promise<void>;
    ChangePosition: (e: string, axis: ModuleAxis) => Promise<void>;
    private static _SingleInstance;
    static GetSingleInstance: () => ModifyModelStore;
}
//# sourceMappingURL=ModifyModelStore.d.ts.map