import React, { Component } from 'react';
import { Folder, ModuleData } from './ResourceInterfaces';
import ResourceStore from './RsourceStore';
export declare const RenderNoResult: () => JSX.Element;
export default class UserCollect extends Component<{}, {}> {
    resourceStore: ResourceStore;
    collectType: Symbol;
    currentfolder: Folder;
    loading: boolean;
    isBatch: boolean;
    batchDelete: string[];
    currentPage: number;
    userCollectionTotalPage: number;
    classes: {
        class_id: string;
        class_name: string;
    }[];
    isShowContextMenu: boolean;
    SwitchFolder: (folder: Folder) => Promise<void>;
    OnPageChange: (page: number) => Promise<void>;
    OnClassChange: (e: React.ChangeEvent) => Promise<void>;
    RemoveFolder: (folder: Folder) => Promise<void>;
    RenameFolder: (folder: Folder, newName: string) => Promise<void>;
    RemoveCollect: (module?: ModuleData) => Promise<void>;
    ShowContextMenu: (e: React.MouseEvent<HTMLDivElement>, module: ModuleData) => Promise<void>;
    render(): JSX.Element;
}
//# sourceMappingURL=UserCollect.d.ts.map